C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Flows;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Flows.Executions.GetAsync(
flowId: "flow_id",
executionId: "execution_id",
request: new GetFlowExecutionRequestParameters {
Hydrate = new List<string>(){
"debug",
}
}
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
flows "github.com/auth0/go-auth0/management/management/flows"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &flows.ExecutionsGetRequest{}
client.Flows.Executions.Get(
context.TODO(),
"flow_id",
"execution_id",
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.flows.executions.requests.GetFlowExecutionRequestParameters;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.flows().executions().get(
"flow_id",
"execution_id",
GetFlowExecutionRequestParameters
.builder()
.hydrate(
Arrays.asList("debug")
)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Flows\Executions\Requests\GetFlowExecutionRequestParameters;
$client = new Management(
token: '<token>',
);
$client->flows->executions->get(
'flow_id',
'execution_id',
new GetFlowExecutionRequestParameters([
'hydrate' => [
'debug',
],
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.flows.executions.get(
flow_id="flow_id",
execution_id="execution_id",
hydrate=[
"debug"
],
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.flows.executions.get(
flow_id: "flow_id",
execution_id: "execution_id",
hydrate: ["debug"]
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.flows.executions.get("flow_id", "execution_id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.flows.executions.get("flow_id", "execution_id", {});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/flows/{flow_id}/executions/{execution_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"trace_id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"journey_id": "<string>",
"debug": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}Get a flow execution
GET
https://{tenantDomain}/api/v2
/
flows
/
{flow_id}
/
executions
/
{execution_id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Flows;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Flows.Executions.GetAsync(
flowId: "flow_id",
executionId: "execution_id",
request: new GetFlowExecutionRequestParameters {
Hydrate = new List<string>(){
"debug",
}
}
);
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
flows "github.com/auth0/go-auth0/management/management/flows"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &flows.ExecutionsGetRequest{}
client.Flows.Executions.Get(
context.TODO(),
"flow_id",
"execution_id",
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.flows.executions.requests.GetFlowExecutionRequestParameters;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.flows().executions().get(
"flow_id",
"execution_id",
GetFlowExecutionRequestParameters
.builder()
.hydrate(
Arrays.asList("debug")
)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Flows\Executions\Requests\GetFlowExecutionRequestParameters;
$client = new Management(
token: '<token>',
);
$client->flows->executions->get(
'flow_id',
'execution_id',
new GetFlowExecutionRequestParameters([
'hydrate' => [
'debug',
],
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.flows.executions.get(
flow_id="flow_id",
execution_id="execution_id",
hydrate=[
"debug"
],
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.flows.executions.get(
flow_id: "flow_id",
execution_id: "execution_id",
hydrate: ["debug"]
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.flows.executions.get("flow_id", "execution_id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.flows.executions.get("flow_id", "execution_id", {});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/flows/{flow_id}/executions/{execution_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"trace_id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"journey_id": "<string>",
"debug": {},
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
Flow id
Maximum string length:
30Flow execution id
Maximum string length:
30クエリパラメータ
Hydration param
利用可能なオプション:
debug Maximum string length:
5レスポンス
Flow execution successfully retrieved.
Flow execution identifier
Maximum string length:
30Trace id
Required string length:
1 - 50Execution status
Required string length:
1 - 50The ISO 8601 formatted date when this flow execution was created.
The ISO 8601 formatted date when this flow execution was updated.
Journey id
Required string length:
1 - 50Flow execution debug.
The ISO 8601 formatted date when this flow execution started.
The ISO 8601 formatted date when this flow execution ended.
このページは役に立ちましたか?
⌘I